# Retrieve a specific site

> Retrieve a specific site.

GET

/sites/{api\_name}/

Retrieve a specific site.

### Required Scopes

-   sites.read
    

### Request

Path Parameters

**api\_name** string required

The unique api\_name of the site.

**Example:** employee\_portal

## Responses

-   200

Successful response

-   application/json

-   Schema
-   Example (from schema)

**Schema**

**\_\_meta** object

**redacted\_fields** object\[\]

Array \[

**name** string

The name for the redacted field

**reason** string

The reason for the redaction

\]

**id** string

Identifier field

**name** string

The display name of the custom site

**description** string

The optional description of the custom site

**api\_name** string

The unique api name of the custom site

**logo** string

A Rippling-owned logo URL for the custom site

**current\_bundle\_id** string

The active bundle id for the custom site

**admin\_group\_id** string

The admin group id for the custom site

**viewer\_group\_id** string

The viewer group id for the custom site

**created\_by** string

The ID of the role that created the custom site

**created\_at** string

Record creation date

```json
{
  "__meta": {
    "redacted_fields": [
      {
        "name": "date_of_birth",
        "reason": "Insufficient entitlements"
      }
    ]
  },
  "id": "string",
  "name": "string",
  "description": "string",
  "api_name": "string",
  "logo": "string",
  "current_bundle_id": "string",
  "admin_group_id": "string",
  "viewer_group_id": "string",
  "created_by": "string",
  "created_at": "string"
}
```

Source: https://developer.rippling.com/documentation/rest-api/reference/get-sites

> For the complete documentation index, see [llms.txt](https://developer.rippling.com/llms.txt). Public pages have a Markdown version at the same URL with .md added.
